html {
    box-sizing: border-box;
}
*, *:before, *:after {
    box-sizing: inherit;
}
html, body {
    height: 100%;
    width: 100vw;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    overflow: hidden;   
    overscroll-behavior: none;
}
canvas {
    display: block;
}
body {
    margin: 0;
}
#unity-container {
    width: 100%;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000;
    overflow: hidden;
	position: relative;
}
#unity-canvas {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
	
    aspect-ratio: 16 / 9; 
    
    display: block;
    box-shadow: 0 0 20px rgba(0,0,0,0.5);
    background: #1F1F20;
}
#loading-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
#unity-loading-bar {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#unity-logo {
    text-align: center;
}
#unity-logo img {
    max-width: 80%;
}
#unity-progress-bar-empty {
    width: 329px;
    height: 24px;
    margin: 10px 20px 20px 10px;
    text-align: left;
    border: 1px solid white;
    padding: 4px;
}
#unity-progress-bar-full {
    width: 0%;
    height: 100%;
    background: white;
}
.light #unity-progress-bar-empty {
    border-color: black;
}
.light #unity-progress-bar-full {
    background: black;
}
.sticky-footer{
	height: 32px;
    background-color: black;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}
.sticky-footer p {
	color: white;
    margin: 0;
    padding: 0 15px;
	font-size: clamp(10px, 2vw, 16px);
    text-align: center;
}
